use crate::connectors::{Client, Connector};
use crate::models::{Order, Position};
use crate::ticker::Ticker;
use std::collections::VecDeque;

struct EventManager {}

struct PositionManager {
    queue: VecDeque<Position>,
    open_positions: Vec<Position>,
    client: Client,
}

struct OrderManager {
    queue: VecDeque<Order>,
    open_orders: Vec<Order>,
    client: Client,
}
